- entityDefinitions:
  - IDM_Product__get__Manufacturer: '{eb6355e0-487a-485e-93f0-1787c4124f3a}'
  - IDMB_Product__get__Manufacturer: '{fc044f94-6c3f-438d-ae95-b78301588bd0}'

  - IDI_WorkSet_ManufacturerSingular: '{626e6110-5a6b-4d18-afda-cf3c63c21f12}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ManufacturerSingular;'
    name: 'Manufacturer [Singular]'
    singular: yes

  - getReferencedInstanceSetMethod: '&IDM_Product__get__Manufacturer;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Product;'
    returnsWorkSetId: '&IDI_WorkSet_ManufacturerSingular;'
    verb: 'get'
    name: 'Manufacturer'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Product;'
    answerInstanceSet: '&IDR_Product__has__Manufacturer;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Product__get__Manufacturer;'
    executesMethod: '&IDM_Product__get__Manufacturer;'
    # parameterAssignments:
    # - globalIdentifier: '{5e89d13d-70e7-45e1-886c-ca2244eb3edf}'
    #   assignsToParameter: '&IDC_Method;'
    #   assignsFromWorkData: '&IDI_WorkSet_MethodSingular;'